   pro taskfig03,iout,figsubsave,figsub,outwrsub

; *******
; Output ps file
   fileps3=strcompress(figsub+'figure03.ps')
   print,fileps3

; Output text file
   fwr=strcompress(outwrsub+'figure03.txt')

; ******************************
; Input data saveset
;  fsave3='/ur/massie/oco2_opensci/figsavesets/fig03.sav'
   fsave3=strcompress(figsubsave+'task65fig03.sav')

   print,fsave3

; Contents of fsave3
;  save,nleft,nright,xleft,xright,yleft,yright,$
;  ymaxgr3,ymingr3,$
;  file=fsave3

   restore,fsave3

; ******************************
; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps3,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; to do bw graph put ibw=1
   ibw=1

; *********
    ixlog=0
    iylog=0

   titleg=' '

; have 1 horizontal row and 2 columns on the same page
   !P.MULTI=[0,1,2]

; Load the color table
  if (ibw eq 0) then begin
   loadct,26
  endif
; for bw
  if (ibw eq 1) then begin
   loadct,0
  endif

; Bold fonts
   !P.font=0

   xm=2.0

   cs=1.2
   cs2=1.5

   cs=1.0
   cs2=1.0

   igraphpts=1
   ioplot=1

; Have two graphs
  for ngraphs=0,1 do begin

  if (ngraphs eq 0) then begin
   x1a=0.15
   x2a=0.45
   y1a=0.60
   y2a=0.90
   title='Cloud Shadowing'
   itot=nleft
   label='(a)'
  endif

  if (ngraphs eq 1) then begin
   x1a=0.60
   x2a=0.90
   y1a=0.60
   y2a=0.90
   title='Cloud Brightening'
   itot=nright
   label='(b)'
  endif

   xvec=fltarr(itot)
   yvec=fltarr(itot)
   isym=intarr(itot)
   clri=fltarr(itot)

  for i=0,itot-1 do begin

   if (ngraphs eq 0) then begin
    xvec(i)=xleft(i)
   endif
   if (ngraphs eq 1) then begin
    xvec(i)=xright(i)
   endif

    isym(i)=4
     clri(i)=250.0
    if (ibw eq 1) then begin
     clri(i)=0.0
    endif

   if (ngraphs eq 1) then begin
     a1=yright(i)
    yvec(i)=a1
   endif

   if (ngraphs eq 0) then begin
    a1=yleft(i)
    if (a1 gt ymaxgr3) then a1=ymaxgr3
    if (a1 lt ymingr3) then a1=ymingr3
    yvec(i)=a1
   endif

  endfor

  labelx='Cloud Distance (km)'
  labely='1D / 3D intensity ratio '

  ymin=min(yvec)
  ymax=max(yvec)

; see top of routine
  ymin=ymingr3
  ymax=ymaxgr3

  plot,xvec,yvec,xtitle=labelx,ytitle=labely,title=title,$
  charsize=cs2,charthick=2.0,$
  xcharsize=cs,xthick=cs,$
  ycharsize=cs,ythick=cs,$
  thick=3,$
  xmargin=[xm,xm],ymargin=[xm,xm],$
  yrange=[ymin,ymax],$
  position=[x1a,y1a,x2a,y2a],$
  /NODATA

  if (ioplot eq 1) then begin
   clr=clri(0)
   oplot,xvec,yvec,thick=3,color=clr
  endif

  if (igraphpts eq 1) then begin
  for i=0,itot-1 do begin
   x=xvec(i)
   y=yvec(i)
   j=isym(i)
   clr=clri(i)
   plots,x,y,PSYM=j,SYMSIZE=2.0,THICK=2.0,COLOR=clr,/DATA
  endfor
  endif

; Add (a) and (b)
   igrwords=1
  if (igrwords eq 1) then begin
     cth=2.0
     ngrwords=1
     csizelab=1.0
   for i=0,ngrwords-1 do begin
     x=x1a+(0.8*(x2a-x1a))
     y=y1a+(0.1*(y2a-y1a))
     c2=0.0
    xyouts,x,y,label,CHARSIZE=csizelab,COLOR=c2,/NORMAL,ALIGNMENT=0.5,$
     CHARTHICK=cth
;   printf,iout,'  i,x,y,c2,grwords(i) ',i,x,y,c2,' ',grwords(i)
   endfor
  endif

  endfor
; Loop over the two graphs

; Close the ps file
   device,/close
   print,fileps3

; ******************************
; Open the output text file
   idat=30
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure03'

  printf,idat,'  '
  printf,idat,'  Cloud Shadowing (panel a)'
  printf,idat,'  xleft = Cloud Distance (km)'
  printf,idat,'  yleft = 1D / 3D intensity ratio'
  printf,idat,'  i, Cloud Distance (km), xleft,yleft '
  for i=0,nleft-1 do begin
   printf,idat,format='(2x,i3,2(1x,f10.4))',$
    i,xleft(i),yleft(i)
  endfor

  printf,idat,'  '
  printf,idat,'  Cloud Brightening (panel b)'
  printf,idat,'  xright = Cloud Distance (km)'
  printf,idat,'  yright = 1D / 3D intensity ratio'
  printf,idat,'  i, Cloud Distance (km), xright,yright '
  for i=0,nright-1 do begin
   printf,idat,format='(2x,i3,2(1x,f10.4))',$
    i,xright(i),yright(i)
  endfor

  close,idat

; ******************************
   return
   end
