   pro taskfig10,iout,figsubsave,figsub,outwrsub

; Graph all 6 panels in figure 10

; ******************************
; Output text file
  fwr=strcompress(outwrsub+'figure10.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure10'

; ******************************
; Read in the file path names of the input IDL savesets
; These paths do not have specific subdirectory info
   flist=strcompress(figsubsave+'/zfig10.list')
    noprf=1
   readflist,noprf,iout,flist,nfiles,files
   if (noprf eq 1) then begin
;   stop
   endif

; ******
; These paths have specific subdirectory info
    printf,iout,'  '
    printf,iout,'  taskfig10: i,files(i)'
   for i=0,5 do begin
    filnm=strcompress(figsubsave+'/'+files(i))
    files(i)=filnm
    printf,iout,'  ',i,'  ',files(i)
   endfor

; ******************************
; Output ps file
   fileps=strcompress(figsub+'figure10.ps')

   print,'  fileps ',fileps

; ******************************
; create a .ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; have graphs plus the color bar
; [ignore,horizontal,vertical]
   !P.MULTI=[0,3,2]

; Load the color table
   loadct,26

; Bold fonts
   !P.font=0

; ******************************
; Loop over the 6 panels in the graph
  for ngr=0,5 do begin

; ******
  print,'  taskfig10: ngr ',ngr

; ******
   if (ngr eq 0) then begin

    x1a=0.10
    x2a=0.45
    y1a=0.75
    y2a=0.95
    yvalstr=0.5*(y1a+y2a)
    xvalstr=(0.5*(x1a+x2a))+0.10

    file=files(0)
    restore,file

    graphxyclog6pts,iout,ydist,xratio1d3d,isymvar,num,labelx,labely,title,yclrvar,$
    x1a,x2a,y1a,y2a,ioplot,xmin,xmax,ymin,ymax,igraphpts,$
    ixlog,iylog,cs,cs2,xqual,idat

   endif

; ******
   if (ngr eq 1) then begin
 
    file=files(1)
    restore,file

    graphxyclog6pts,iout,ydist,ydp,isymvar,num,labelx,labely,title,yclrvar,$
    x1a,x2a,y1a,y2a,ioplot,xmin,xmax,ymin,ymax,igraphpts,$
    ixlog,iylog,cs,cs2,xqual,idat

   endif

; ******
   if (ngr eq 2) then begin

    file=files(2)
    restore,file

    graphxyclog6pts,iout,ydist,yraw,isymvar,num,labelx,labely,title,yclrvar,$
    x1a,x2a,y1a,y2a,ioplot,xmin,xmax,ymin,ymax,igraphpts,$
    ixlog,iylog,cs,cs2,xqual,idat

   endif

; ******
   if (ngr eq 3) then begin

    file=files(3)
    restore,file

    graphxyclog6pts,iout,ydist,yaodtot,isymvar,num,labelx,labely,title,yclrvar,$
    x1a,x2a,y1a,y2a,ioplot,xmin,xmax,ymin,ymax,igraphpts,$
    ixlog,iylog,cs,cs2,xqual,idat

   endif

; ******
   if (ngr eq 4) then begin

    file=files(4)
    restore,file

    graphxyclog6pts,iout,ydist,surfrefl1,isymvar,num,labelx,labely,title,yclrvar,$
    x1a,x2a,y1a,y2a,ioplot,xmin,xmax,ymin,ymax,igraphpts,$
    ixlog,iylog,cs,cs2,xqual,idat

   endif

; ******
; You had Albedo3 but the values had a small range in value
   if (ngr eq 5) then begin

    file=files(5)
    restore,file

    graphxyclog6pts,iout,ydist,surfrefl2,isymvar,num,labelx,labely,title,yclrvar,$
    x1a,x2a,y1a,y2a,ioplot,xmin,xmax,ymin,ymax,igraphpts,$
    ixlog,iylog,cs,cs2,xqual,idat

   endif
; for ngr=5

; ******
; Add (a), (b), ..
    xvala=x1a+(0.8*(x2a-x1a))
    yvala=y1a+(0.05*(y2a-y1a))
    strwrs=['(a)','(b)','(c)','(d)','(e)','(f)']
    strwr=strwrs(ngr)
   xyouts, xvala, yvala, strwr, CHARSIZE=1.0, alignment=0.5, color=0.0,  /NORMAL

   endfor
; Loop over the 6 panels

; Add the labels
   str100='* QF0'
   str101='+ QF1'
   clrval0=60.0
   clrval1=30.0
    yval=yvalstr
   xyouts, xvalstr, yval, str100, CHARSIZE=1.0, alignment=0.5, color=clrval0,  /NORMAL
    yval=yvalstr-0.03
   xyouts, xvalstr, yval, str101, CHARSIZE=1.0, alignment=0.5, color=clrval1,  /NORMAL

; ******************************
; Close the ps file
   device,/close
   print,fileps

   printf,iout,'  '
   printf,iout,'  taskfig10: ,fileps ',fileps

; ******************************
; Close the output text file
  close,idat

; ******************************
   return
   end
