   pro taskfig12,iout,figsubsave,figsub,outwrsub

; Graph all 6 panels in figure 12

; ******************************
; Output text file
  fwr=strcompress(outwrsub+'figure12.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure12'

; ******************************
; Read in the file path names of the input IDL savesets
; These paths do not have specific subdirectory info
   flist=strcompress(figsubsave+'/zfig12.list')
    noprf=1
   readflist,noprf,iout,flist,nfiles,files
   if (noprf eq 1) then begin
;   stop
   endif

; ******
; These paths have specific subdirectory info
    printf,iout,'  '
    printf,iout,'  taskfig12: i,files(i)'
   for i=0,5 do begin
    filnm=strcompress(figsubsave+'/'+files(i))
    files(i)=filnm
    printf,iout,'  ',i,'  ',files(i)
   endfor

; ******************************
; Output ps file
   fileps=strcompress(figsub+'figure12.ps')

   print,'  fileps ',fileps

; ******************************
; Graph the data (6 panels)

; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; One graph per page
; [ignore,horizontal,vertical]
   !P.MULTI=[0,2,3]

; Load the bw table
   loadct,0

; Bold fonts
   !P.font=0

; ****
   for np=0,5 do begin

; ocean glint will be on top of page
    if (np eq 0) then begin
     strwr='(a)'
    endif

    if (np eq 1) then begin
     strwr='(b)'
    endif

    if (np eq 2) then begin
     strwr='(c)'
    endif

    if (np eq 3) then begin
     strwr='(d)'
    endif

    if (np eq 4) then begin
     strwr='(e)'
    endif

    if (np eq 5) then begin
     strwr='(f)'
    endif

    npuse=np
    fsave=files(npuse)
    restore,fsave

    printf,iout,'  taskfig12: np,fsave,title'
    printf,iout,'  ',np,' ',fsave,' ',title

; **
     nopr2=0
   graphlines164bw,nopr2,iout,$
   npts,xvec,yvec,veccolor,isymn,clrval,$
   nlines,nlatbin,xvecn,yvecn,numpts,$
   labelx,labely,title,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   igrwords,ngrwords,grwords,xwords,ywords,wordc,$
   ibw,psymval

; **
; nvec is actually number of Nearest Cloud Distances
    nvec=nlatbin
   printf,idat,'  '
   printf,idat,'  ',title
   printf,idat,'  x ',labelx
   printf,idat,'  y ',labely
   printf,idat,'  panel ',strwr
   printf,idat,'  Latitude bins (written for panel b, applies to all panels)'
   printf,idat,'  ',grwords
   printf,idat,'  i,xvecn(i,0),yvecn(i,0),yvecn(i,1),yvecn(i,2)'
   for i=0,nvec-1 do begin
    printf,idat,format='(2x,i3,4(1x,f10.4))',$
     i,xvecn(i,0),yvecn(i,0),yvecn(i,1),yvecn(i,2)
   endfor

; **
    xvala=x1a+(0.20*(x2a-x1a))
    icalc=0
   if (icalc eq 0) then begin
    xvala=x1a+(0.20*(x2a-x1a))
   endif
   if (icalc eq 1) then begin
    xvala=x1a+(0.90*(x2a-x1a))
   endif
    yvala=y1a+(0.1*(y2a-y1a))
   xyouts, xvala, yvala, strwr, CHARSIZE=1.0, alignment=0.5, color=0.0,  /NORMAL

   endfor
; Loop over np panels

   device,/close
   print,fileps

; ******************************
; Close the output text file
  close,idat

; ******************************
   return
   end
