   pro taskfig17,iout,figsubsave,figsub,outwrsub

; Graph all 2 panels in figure 17

; ******************************
; Output text file
  fwr=strcompress(outwrsub+'figure17.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure17'

; ******************************
; Read in the file path names of the input IDL savesets
; These paths do not have specific subdirectory info
   flist=strcompress(figsubsave+'/zfig17.list')
    noprf=1
   readflist,noprf,iout,flist,nfiles,files
   if (noprf eq 1) then begin
;   stop
   endif

; ******
; These paths have specific subdirectory info
    printf,iout,'  '
    printf,iout,'  taskfig17: i,files(i)'
   for i=0,1 do begin
    filnm=strcompress(figsubsave+'/'+files(i))
    files(i)=filnm
    printf,iout,'  ',i,'  ',files(i)
   endfor

; ******************************
; Output ps file
   fileps=strcompress(figsub+'figure17.ps')

   print,'  fileps ',fileps

; *****************************
; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; ****
; Two panels to the page
   !P.MULTI=[0,2,1]

; Load the color table
   loadct,26

; Bold fonts
   !P.font=0

; ****
; Loop over the 2 panels
   for ifile=0,1 do begin

    if (ifile eq 0) then begin
;    fsave=fsave0
;    x1a=0.15
;    x2a=0.45
;    y1a=0.60
;    y2a=0.90
;    titleuse=titleuse2(ifile)
     strwr='(a)'
;    jgrwords=0
    endif

    if (ifile eq 1) then begin
;    fsave=fsave1
;    x1a=0.60
;    x2a=0.90
;    y1a=0.60
;    y2a=0.90
;    titleuse='Ocen Glint QF1'
;    titleuse=titleuse2(ifile)
     strwr='(b)'
;    jgrwords=1
    endif

; **
    filnm=files(ifile)
    restore,filnm

;  save,npts,xvec,yvec,veccolor,isymn,clrval,$
;  nlines,nvec,xvecn,yvecn,numpts,$
;  labelx,labely,titleuse,$
;  xmin,xmax,ymin,ymax,$
;  x1a,y1a,x2a,y2a,$
;  ioplot,igraphpts,sizept,$
;  cs,cs2,cthick,$
;  ixlog,iylog,$
;  jgrwords,ngrwords,grwords,xwords,ywords,wordc,$
;  ibw,linestyles,xleft,xright,$
;  icbar,colc,cbartitle,labelchr,ncbar,$
;  iline0,yoops,$
;  file=filnm

; **
     nopr2=0
   graphlines167,nopr2,iout,$
   npts,xvec,yvec,veccolor,isymn,clrval,$
   nlines,nvec,xvecn,yvecn,numpts,$
   labelx,labely,titleuse,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   jgrwords,ngrwords,grwords,xwords,ywords,wordc,$
   ibw,linestyles,xleft,xright,$
   icbar,colc,cbartitle,labelchr,ncbar,$
   iline0,yoops

; **
   printf,idat,'  '
   printf,idat,'  ',titleuse
   printf,idat,'  x ',labelx
   printf,idat,'  y ',labely
   printf,idat,'  Data graphed for 6 lines '
   printf,idat,'  i,grwords(i)'
   for i=0,nlines-1 do begin
    printf,idat,'  ',i,'  ',grwords(i)
   endfor
   printf,idat,'  i,xvecn(i,0),yvecn(i,j) for j=0,5'
    vecdat=fltarr(nlines)
   for i=0,nvec-1 do begin
    for j=0,nlines-1 do begin
     vecdat(j)=yvecn(i,j)
    endfor
    printf,idat,format='(2x,i3,7(1x,f10.4))',$
     i,xvecn(i,0),vecdat
   endfor

; **
; graph the (a) and (b) labels
   xvala=x1a+(0.9*(x2a-x1a))
   yvala=y1a+(0.9*(y2a-y1a))
  xyouts, xvala, yvala, strwr, CHARSIZE=1.0, alignment=0.5, color=0.0,  /NORMAL

; **
   endfor
; Loop over the two panels

   device,/close
   print,fileps

; ******************************
; Close the output text file
   close,idat

; ******************************
   return
   end
