  pro graphlines166,nopr,iout,$
  npts,xvec,yvec,veccolor,isym,clrval,$
  nlines,nwave,xvecn,yvecn,numpts,$
  labelx,labely,title,$
  xmin,xmax,ymin,ymax,$
  x1a,y1a,x2a,y2a,$
  ioplot,igraphpts,sizept,$
  cs,cs2,cthick,$
  ixlog,iylog,$
  igrwords,ngrwords,grwords,xwords,ywords,wordc,$
  ibw,linestyles,xleft,xright

; ****************************
    iwrsp=0
   if (iwrsp eq 1) then begin
    printf,iout,'  '
    printf,iout,'  graphlines87'
    printf,iout,igrwords
    printf,iout,ngrwords
    printf,iout,grwords
    printf,iout,xwords
    printf,iout,ywords
    printf,iout,wordc
   endif

; ****************************
; Bold fonts
  !P.font=0

  xm=0.0

; x1a=0.20
; x2a=0.80
; y1a=0.20
; y2a=0.80

; ****
;  cs=1.5
;  cs2=1.5
;  cthick=3.0

  plot,xvec,yvec,xtitle=labelx,ytitle=labely,title=title,$
; xrange=[xmin,xmax],$
  xrange=[xleft,xright],$
  yrange=[ymin,ymax],$
  charsize=cs2,charthick=cthick,$
  xcharsize=cs,xthick=cthick,$
  ycharsize=cs,ythick=cthick,$
  xlog=ixlog,ylog=iylog,$
  thick=3,$
  xstyle=2,ystyle=1,$
  xmargin=[xm,xm],ymargin=[xm,xm],$
  position=[x1a,y1a,x2a,y2a],$
  /NODATA

; This does the lines
  if (ioplot eq 1) then begin
  for i=0,nlines-1 do begin
    j2=numpts(i)
    xvec1=fltarr(j2)
    yvec1=fltarr(j2)
    j2=numpts(i)-1
     iwrsp=0
    if (iwrsp eq 1) then begin
     printf,iout,'  '
     printf,iout,'  graphlines87: line i ',i
     printf,iout,'  graphlines87: numpts(i) ',numpts(i)
     printf,iout,'  graphlines87: j,xvec1(j),yvec1(j)'
    endif
   for j=0,j2 do begin
    xvec1(j)=xvecn(j,i)
    yvec1(j)=yvecn(j,i)
    if (iwrsp eq 1) then begin
     printf,iout,'  ',j,xvec1(j),yvec1(j)
    endif
   endfor
   clr1=clrval(i)
   c3=cthick
   oplot,xvec1,yvec1,color=clr1,thick=c3,linestyle=linestyles(i)
  endfor
  endif

; ****
; Put the two (or more) sets of data points on the graph
  if (igraphpts eq 1) then begin
   for i=0,npts-1 do begin
    x=xvec(i)
    y=yvec(i)
    c=veccolor(i)
    jsym=isym(i)

    if ((x ge xmin) and (x le xmax)) then begin
    if ((y ge ymin) and (y le ymax)) then begin
     plots,x,y,COLOR=c,PSYM=jsym,SYMSIZE=sizept,THICK=3.0,/DATA
    endif
    endif

   endfor
  endif

; ****
; Put line identification on graph
;   print,igrwords
  if (igrwords eq 1) then begin
     cth=2.0
   for i=0,ngrwords-1 do begin
     x=xwords(i)
     y=ywords(i)
     c2=wordc(i)
    xyouts,x,y,grwords(i),CHARSIZE=1.0,COLOR=c2,/NORMAL,ALIGNMENT=0.5,$
     CHARTHICK=cth
   endfor
  endif

; ***
; Put line along x=0, y axis
   iline0=1
  if (iline0 eq 1) then begin
     cth=2.0
     npts0=100
     dy=(ymax-ymin)/float(npts0)
     npts0str='|'
   for i=0,npts0-3 do begin
     x=0.0
     y=ymin+(i*dy)
     c2=0.0
    xyouts,x,y,npts0str,CHARSIZE=1.0,COLOR=c2,/DATA,ALIGNMENT=0.5,$
     CHARTHICK=cth
   endfor
  endif

; *******************************
  return
  end
