   pro taskfig07,iout,figsubsave,figsub,outwrsub

; Graph all 2 panels in figure 7

; ******************************
; Output text file
  fwr=strcompress(outwrsub+'figure07.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure07'

; ******************************
; Read in the file path names of the input IDL savesets
; These paths do not have specific subdirectory info
   flist=strcompress(figsubsave+'/zfig7.list')
    noprf=1
   readflist,noprf,iout,flist,nfiles,files
   if (noprf eq 1) then begin
;   stop
   endif

; ******
; These paths have specific subdirectory info
    printf,iout,'  '
    printf,iout,'  taskfig07: i,files(i)'
   for i=0,1 do begin
    filnm=strcompress(figsubsave+'/'+files(i))
    files(i)=filnm
    printf,iout,'  ',i,'  ',files(i)
   endfor

; ******************************
; Output ps file
   fileps=strcompress(figsub+'figure07.ps')

   print,'  fileps ',fileps

; ******************************
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
   /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; ******************************
; Graph the data into 2 panels
; For bold type
  !P.font=0

; specify the character size for the labels
  csizet=1.5
  csizel=1.0

; have graphs plus the color bar
; [ignore,horizontal,vertical]
   nmult=4
  !P.MULTI=[0,1,nmult]

; ******************************
; Will do 4 panels (graph and colorbars)
  for iset=0,1 do begin

; ********
; The modis radiance graph
  if (iset eq 0) then begin

; ***
   x1a=0.10
   x2a=0.90
   y1a=0.70
   y2a=0.95

; ***
; Will get the nwrobs,lonwr,latwr, values
   fsave80one=files(0)
   restore,fsave80one

   printf,iout,'  '
   printf,iout,'  task80combine: iset ',iset
   printf,iout,'  task80combine: fsave80one ',fsave80one  
   print,'  task80combine: fsave80one ',fsave80one  

; ***
; see /ur/massie/oco2_2021/task500grphradsnd.pro
; See graph100.pro
;     files100=files100s(1)
;    save,nlonradf,nlatradf,lonradfg,latradfg,arrayf,titlef,tdate,$
;    polat,polon,rot,latmin2,latmax2,longmin2,longmax2,$
;    nmult,icbar,levelscr,colc,clab,labelchrr,cbartitle,$
;    igrcity,citylat2,citylon2,citylabel,icolor,londel2,latdel2,ncbar,$
;    file=files100

   modisradsav=files(1)

   restore,modisradsav

   printf,iout,'  '
   printf,iout,'  task80combine: iset ',iset
   printf,iout,'  task80combine: modisradsav ',modisradsav  
   print,'  task80combine: modisradsav ',modisradsav  

; title on top of graph
;    titlef=strcompress(words10)
; no title at top of page
     titlef=' '

; ***
; Note that you use graaraysnd80.pro (based on /ur/massie/oco2_2021/grarraysnd.pro)
    grarraysnd80,nlonradf,nlatradf,lonradfg,latradfg,arrayf,fileps,titlef,tdate,$
    polat,polon,rot,latmin2,latmax2,longmin2,longmax2,$
    nmult,icbar,levelscr,colc,clab,labelchrr,cbartitle,$
    igrcity,citylat2,citylon2,citylabel,icolor,londel2,latdel2,ncbar,$
    nwrobs,lonwr,latwr,iqualwr,soundingwr,$
    x1a,x2a,y1a,y2a

; **
     ihelp=0
    if (ihelp eq 1) then begin
     help,nlonradf
     help,nlatradf
     help,lonradfg
     help,latradfg
     help,arrayf
     stop
; NLONRADF        INT       =      641
; NLATRADF        INT       =      641
; LONRADFG        FLOAT     = Array[641, 641]
; LATRADFG        FLOAT     = Array[641, 641]
; ARRAYF          FLOAT     = Array[641, 641]
    endif

; ***
; determine how many points to write out to the output text file (for MODIS Radiances)
     nptswr=0
    for jj=0,nlatradf-1 do begin
    for ii=0,nlonradf-1 do begin
     if ((lonradfg(ii,jj) ge longmin2) and (lonradfg(ii,jj) le longmax2)) then begin
     if ((latradfg(ii,jj) ge latmin2) and (latradfg(ii,jj) le latmax2)) then begin
      nptswr=nptswr+1
     endif
     endif
    endfor
    endfor

; Write out to the output text file
    printf,idat,'  '
    printf,idat,'  number of MODIS Radiances '
    printf,idat,'  ',nptswr
    printf,idat,'  ii,jj,lonradfg(ii),latradfg(jj),arrayf(ii,jj)'
    for jj=0,nlatradf-1 do begin
    for ii=0,nlonradf-1 do begin
     if ((lonradfg(ii,jj) ge longmin2) and (lonradfg(ii,jj) le longmax2)) then begin
     if ((latradfg(ii,jj) ge latmin2) and (latradfg(ii,jj) le latmax2)) then begin
      printf,idat,format='(2x,2(1x,i4),3(1x,f10.4))',$
       ii,jj,lonradfg(ii),latradfg(jj),arrayf(ii,jj)
     endif
     endif
    endfor
    endfor

; ***

  endif
; iset=0

; ********
; The shdom 1d/3d graph
; See task80graph5.pro for the graph of files7.ps
  if (iset eq 1) then begin

; ****
   x1a=0.10
   x2a=0.90
   y1a=0.25
   y2a=0.50

; ****
; eos a
;  loadct, 26
; See task80graph5.pro
; blue white
   loadct, 1

; ****
; Save the data for use in task80combine.pro (combine fit 6 and 7)
;  save,arrayobs,xgrid,ygrid,$
;  levelsc,xm,$
;  xr1,xr2,yr1,yr2,$
;  xtitle,ytitle,$
;  title,$
;  colc,$
;  clab,$
;  cbartitle,tdate,labelchr,ncbar,$
;  nwrobs,lonwr,latwr,iqualwr,soundingwr,$
;  ixkmlon,jykmlat,iok,xkmlon,ykmlat,$
;  file=fsave80one

   fsave80one=files(0)

   restore,fsave80one

   printf,iout,'  '
   printf,iout,'  task80combine: iset ',iset
   printf,iout,'  task80combine: fsave80one ',fsave80one  
   print,'  task80combine: fsave80one ',fsave80one  

   contour, arrayobs, xgrid, ygrid, /cell_fill, $
   levels=levelsc,$
   xmargin=[xm,xm],ymargin=[xm,xm],$
   position=[x1a,y1a,x2a,y2a],$
   xrange=[xr1,xr2],yrange=[yr1,yr2],$
   xstyle=1,ystyle=1,$
   xtitle=xtitle,ytitle=ytitle,$
   title=title,$
   c_charthick=3.0,$
   c_colors=colc,$
   c_labels=clab,$
   charsize=1.5,$
   charthick=1.5

; *****
   nx=64
   ny=64
    ihelp=0
   if (ihelp eq 1) then begin
    help,xgrid
    help,ygrid
    help,arrayobs
    stop
; XGRID           FLOAT     = Array[64]
; YGRID           FLOAT     = Array[64]
; ARRAYOBS        FLOAT     = Array[64, 64]
   endif

; *****
    printf,idat,'  '
    printf,idat,'  number of OCO2 data points displayed in the graph'
    printf,idat,'  nwrobs ',nwrobs
    printf,idat,'  ii,lonwr(ii),latwr(ii),iqualwr(ii),soundingwr(ii)'
   for ii=0,nwrobs-1 do begin
    printf,idat,format='(2x,i3,2(1x,f10.4),1(1x,i2),1(1x,i16))',$
     ii,lonwr(ii),latwr(ii),iqualwr(ii),soundingwr(ii)
    endfor

; *****
; Write out to the output text file
    printf,idat,'  '
    printf,idat,'  title '
    printf,idat,'  ',title
    printf,idat,'  nx,ny ',nx,ny
    printf,idat,'  xgrid'
    printf,idat,format='(2x,64(1x,f10.4))',xgrid
    printf,idat,'  ygrid'
    printf,idat,format='(2x,64(1x,f10.4))',ygrid

   for jj=0,ny-1 do begin
    printf,idat,'  jj,ygrid(jj),vecdat = arrayobs(ii,jj)  for ii=0,nx-1'
    vecdat=fltarr(nx)
    for ii=0,nx-1 do begin
     vecdat(ii)=arrayobs(ii,jj)
    endfor
    printf,idat,format='(2x,i3,2x,1(1x,f10.4),2x,64(1x,f10.4))',$
     jj,ygrid(jj),vecdat
   endfor

; *****
;   iaddobs,$
;   nwrobs,lonwr,latwr,iqualwr,soundingwr,$
;   ixkmlon,jykmlat,iok,xkmlon,ykmlat

    iaddobs=1
   if (iaddobs eq 1) then begin

    printf,idat,'  '
    printf,idat,'  i,xkmlon(i),ykmlat(i),iqualwr(i)'


   for i=0,nwrobs-1 do begin
    if (iok(i) eq 1) then begin
     x=xkmlon(i)
     y=ykmlat(i)
;  1,2,3,4,5,6,7    +  *  . diamond triangle square X
     if (iqualwr(i) eq 0) then begin
      clr=0.0
       j=6
     endif
     if (iqualwr(i) eq 1) then begin
      clr=0.0
      j=7
     endif
    plots,x,y,PSYM=j,SYMSIZE=2.0,THICK=3.0,COLOR=clr,/DATA

    printf,idat,format='(2x,i3,2(1x,f10.4),1x,i2)',$
     i,x,y,iqualwr(i)

   endif
  endfor

  endif
; iaddobs=1

; *****
; To do the colorbar put icolorbar=1
    icbar=1
   if (icbar eq 1) then begin
     ypos1=y1a-0.12
     tdate=' '
     xpos1=x1a
     xpos2=x2a
    cbar,ypos1,colc,cbartitle,tdate,labelchr,ncbar,xpos1,xpos2
   endif

; Add (b)
   labelval='(b)'
   x1val=x1a+(0.12*(x2a-x1a))
   y1val=y1a+(0.06*(y2a-y1a))
   xyouts,x1val,y1val,labelval,alignment=0.5,CHARSIZE=2.0,/NORMAL,$
   CHARTHICK=2.0

; *****
; Will get new frame
   erase

   endif
; iset=1 done

   endfor
; Loop over the panels done

; *****
  printf,iout,'  '
  printf,iout,'  task80combine: wrote out to fileps ',fileps
  print,'  ',fileps

; ******************************
; Close the output text file
  close,idat

; ******************************
   return
   end
